Package org.eclipse.cdt.core.model

## Interface IInheritance

All Known Subinterfaces:
  `IStructure`, `IStructureTemplate`

    public interface IInheritance

Place holder of the inherited class from struct or class(IStructure).

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ASTAccessVisibility` `getSuperClassAccess​(String name)` Returns the super class access : ASTAccessVisibility
`String[]` `getSuperClassesNames()` Return the inherited structures names.

### Method Detail

#### getSuperClassesNames

    String[] getSuperClassesNames()

Return the inherited structures names.

#### getSuperClassAccess

    ASTAccessVisibility getSuperClassAccess​(String name)

Returns the super class access : ASTAccessVisibility